for seed in 307 
do
    for lr in 0.005 
    do
        for h_channels in 19
        do    
            for weight_decay in 1e-4 
            do
                for look_window in 100 
                do
                    for stride_window in 50 
                    do
                        for forecast_window in  20
                        do
                            for interpolation in 'cubic' 
                            do
                                
                                CUDA_VISIBLE_DEVICES=1 python3 -u contgru_ushcn.py --epoch 301 --model 'contgru_delay' --look_window $look_window --stride_window $stride_window --forecast_window $forecast_window --interpolation $interpolation --h_channels $h_channels --weight_decay $weight_decay --lr $lr --seed $seed  >./exp_logs/USHCN/{contgru_delay}_{$lr}_{$seed}_{$h_channels}_{$weight_decay}_time_diff{0.1}_look{$look_window}_stride_{$stride_window}_forecast_{$forecast_window}_{$interpolation}.csv

                            done
                        done
                    done
                done
            done
        done
    done
done


